SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000247supertuxBuilding and Installationpublic2007-10-23 11:262008-01-24 10:43
ReporterAuria 
Assigned ToWolfgangB 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSUbuntu 7.04, Mac OS X 10.4OS Version
Product Version0.3.1 
Target VersionFixed in Version0.3.1 
Summary0000247: 'jam install' doesn't work
DescriptionHere's what happens when trying to install supertux

% sudo jam install
% supertux2

Warning: Couldn't add '/usr/local/share/supertux2/supertux2' to physfs searchpath: File not found

% sudo ln -s '/usr/local/share/supertux2' '/usr/local/share/supertux2/supertux2'
% supertux2

Fatal: Unexpected exception: Problem when reading level 'levels/misc/menu.stl': Couldn't open file 'camera.cfg': No such file or directory

% sudo cp camera.cfg /usr/local/share/supertux2
% supertux2

Warning: Couldn't play music file 'music/theme.music': Couldn't open file 'music/theme.music': No such file or directory

etc. etc.

Launching from build folder works as expected
TagsNo tags attached.
Fixed in GIT revision
Fixed in subversion revision5249
Attached Files

- Relationships

-  Notes
(0000627)
AnMaster (administrator)
2007-10-24 00:12
edited on: 2007-10-24 00:12

jam install does indeed seem broken in current svn (r5168)


- Issue History
Date Modified Username Field Change
2007-10-23 11:26 Auria New Issue
2007-10-24 00:12 AnMaster Note Added: 0000627
2007-10-24 00:12 AnMaster Status new => acknowledged
2007-10-24 00:12 AnMaster Note Edited: 0000627
2007-10-26 18:02 Auria Issue Monitored: Auria
2008-01-05 14:41 WolfgangB Fixed in subversion revision => 5249
2008-01-05 14:41 WolfgangB Status acknowledged => resolved
2008-01-05 14:41 WolfgangB Fixed in Version => 0.3.1
2008-01-05 14:41 WolfgangB Resolution open => fixed
2008-01-05 14:41 WolfgangB Assigned To => WolfgangB
2008-01-24 10:43 sik0fewl Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker